>From 2673b3885beca957c640796cf2279cb91be4ae08 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Tobias=20G=C3=BCntner?= <fatbull@web.de>
Date: Mon, 19 Dec 2011 15:36:04 +0100
Subject: [PATCH] Fix assertions

---
 src/input/vlm.c           |    2 +-
 test/src/misc/variables.c |    6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/input/vlm.c b/src/input/vlm.c
index 2849910..1e7aff7 100644
--- a/src/input/vlm.c
+++ b/src/input/vlm.c
@@ -215,7 +215,7 @@ void vlm_Delete( vlm_t *p_vlm )
     assert( p_vlm->users > 0 );
     if( --p_vlm->users == 0 )
     {
-        assert( libvlc_priv(p_vlm->p_libvlc)->p_vlm = p_vlm );
+        assert( libvlc_priv(p_vlm->p_libvlc)->p_vlm == p_vlm );
         libvlc_priv(p_vlm->p_libvlc)->p_vlm = NULL;
     }
     else
diff --git a/test/src/misc/variables.c b/test/src/misc/variables.c
index e710e1e..d5091f4 100644
--- a/test/src/misc/variables.c
+++ b/test/src/misc/variables.c
@@ -324,11 +324,11 @@ static void test_change( libvlc_int_t *p_libvlc )
 
     /* Test everything is right */
     var_Change( p_libvlc, "bla", VLC_VAR_GETMIN, &val, NULL );
-    assert( val.i_int = i_min );
+    assert( val.i_int == i_min );
     var_Change( p_libvlc, "bla", VLC_VAR_GETMAX, &val, NULL );
-    assert( val.i_int = i_max );
+    assert( val.i_int == i_max );
     var_Change( p_libvlc, "bla", VLC_VAR_GETSTEP, &val, NULL );
-    assert( val.i_int = i_step );
+    assert( val.i_int == i_step );
 
     var_Destroy( p_libvlc, "bla" );
 }
-- 
1.7.0.4

